[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpSigTimedWait

Wait for signal, with timeout

## Declaration

Source position: bunxh.inc line 28

`function FpSigTimedWait(`
`const sigset: tsigset;`
`info: psiginfo;`
`timeout: ptimespec`
`):cint;`

## Description

FpSigTimedWait will suspend the current thread and wait for one of the signals in sigset to be delivered. information on the delivered signal is placed in the location provided by info (or in info itself, if the Var variant of the call is used). If the signal is not delivered within the time limit set in timeout, then the call will return -1, and fpGetErrno will return EAGAIN.

On success, the signal number is returned.

## Errors

On error, -1 is returned, and extended error information can be obtained with fpGetErrno.

## See also

FpSigSuspend |  | Set signal mask and suspend process till signal is received

Documentation generated on: Feb 26 2014